Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.maven.spi
Class JcrMavenUrlProvider.MavenUrlConnection

    java.lang.Object
      java.net.URLConnection
          org.modeshape.maven.spi.JcrMavenUrlProvider.MavenUrlConnection

Enclosing class:
  JcrMavenUrlProvider

    protected class JcrMavenUrlProvider.MavenUrlConnection

extends URLConnection

A URLConnection with support for obtaining content from a node in a JCR repository.

Each JcrUrlConnection is used to make a single request to read or write the `jcr:content` property value on the `node` that corresponds to the given URL. The node must already exist.

Author:
  Randall Hauch

Field Summary

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`protected` | `JcrMavenUrlProvider.MavenUrlConnection(URL url)`

Method Summary
`void` | `connect()`
`InputStream` | `getInputStream()`
`OutputStream` | `getOutputStream()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getLastModified, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcrMavenUrlProvider.MavenUrlConnection

    protected JcrMavenUrlProvider.MavenUrlConnection(URL url)

Parameters:
  `url` - the URL that is to be processed

Method Detail

### connect

    public void connect()
                 throws IOException

  Specified by:
    `connect` in class `URLConnection`
  Throws:
    `IOException`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Overrides:
    `getInputStream` in class `URLConnection`
  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Overrides:
    `getOutputStream` in class `URLConnection`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.